# Interface ProgressRowSplittable.Target

Enclosing class:
  `ProgressRowSplittable`

public static interface ProgressRowSplittable.Target
Callback interface for objects that will be informed about iteration progress, and also given the opportunity to terminate iteration. Implementations should be thread-safe; there is no guarantee about what threads they may be used from.

Since:
  12 Oct 2020
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`done(long count)`
Reports that progress has finished.
`void`
`updateCount(long count)`
Reports an updated figure for the progress.

## Method Details

### updateCount

void updateCount(long count) throws IOException
Reports an updated figure for the progress.

Implementations may throw an IOException from this method; the exception will be thrown during iteration from the `next` method of this `ProgressRowSplittable` and thus halt its iteration.

Parameters:
  `count` - number of iterations so far
Throws:
  `IOException` - to interrupt execution

### done

void done(long count)
Reports that progress has finished.

Parameters:
  `count` - final number of iterations